#include <iostream>
//#include <algorithm>
//#include <cmath>
//#include <string>
using namespace std;

int main(){

    long long int n,red,kolona,i,s; cin >> n;
    long long int r[n+1];
    long long int k[n+1];
    for(i=1;i<=n;i++){
        r[i]=0;
        k[i]=0;
    }
    for(i=0;i<n;i++){
        cin >> red >> kolona;
        r[red]++;
        k[kolona]++;
    }
    long long int r_br0=0, k_br0=0;
    for(i=1;i<=n;i++){
        if(r[i]==0){
            r_br0++;
        }
        if(k[i]==0){
            k_br0++;
        }
    }
    if(k_br0>r_br0){
        cout << k_br0;
    } else {
        cout << r_br0;
    }

    return 0;
}